import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  color: Animatable("green"),
  label: "ON",
  toggle: true
});

export const ButtonText: Override = () => {
  return {
    text: data.label
  };
};

// export const Button: Override = () => {
//   return {
//     background: data.color,
//     onTap() {
//       const animateToColor = data.toggle ? "red" : "green";
//       animate(data.color, animateToColor);
//       if (data.toggle) {
//         data.label = "OFF";
//       } else {
//         data.label = "ON";
//       }
//       data.toggle = !data.toggle;
//     }
//   };
// };

export const Button: Override = () => {
  return {
    background: data.color,
    onTap() {
      let animateToColor = "";
      if (data.toggle) {
        animateToColor = "red";
      } else {
        animateToColor = "green";
      }
      animate(data.color, animateToColor);
      data.toggle = !data.toggle;
    }
  };
};
